WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: 5.0.1 Apps tool - "Failed" issue  (Read 4040 times)

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
5.0.1 Apps tool - "Failed" issue
« on: October 11, 2013, 10:06:29 AM »
Using Apps to download and/or install or update extensions frequently results in a "Failed" message (see screenshot).  However the very same extensions which failed in Apps are downloadable using alternative methods eg: tce-ab or wget or tc-tce-update or tce-load -wi






This morning I picked some extensions, one intentionally and the rest at random, all resulted in the same Failed message.


submitqc5.tcz
totem.tcz
testdisk.tcz
vim.tcz
etc etc

« Last Edit: October 11, 2013, 10:13:24 AM by coreplayer2 »

Offline roberts

  • Administrator
  • Hero Member
  • *****
  • Posts: 7361
  • Founder Emeritus
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #1 on: October 11, 2013, 10:29:30 AM »
As there has been no recent changes to Apps, I suspect that your issue is caused by incorrect permission on the /tmp directory. And once that occurs it would cause such a failure. Upon first encounter please check /tmp permission and if possible note the extension or possibly the prior extension to look for cause.
10+ Years Contributing to Linux Open Source Projects.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #2 on: October 11, 2013, 11:49:26 AM »
Thanks Roberts for giving some thought to this issue, I'll continue investigating
« Last Edit: October 11, 2013, 11:57:54 AM by coreplayer2 »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #3 on: October 11, 2013, 11:53:51 AM »
After a reboot the tmp permissions on tested systems are

Code: [Select]
tc@box:~$ ls -ld /tmp
drwxrwxrwt    5 root     staff          240 Oct 11 18:50 /tmp/
tc@box:~$

Which appears to be normal, yet Failed message persists

« Last Edit: October 11, 2013, 11:56:12 AM by coreplayer2 »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #4 on: October 11, 2013, 12:33:12 PM »
Interestingly..

Systems that do not have aterm installed which instead use LXTerminal displays errors when running Apps:


..Additionally, whether Apps is run with LXTerminal or aterm the failed status appears associated with unable to find *md5.txt for any selected extensions, which appears to be related the ongoing Apps Failed issue



I might add that this "Apps Failed"  issue didn't start recently, iirc goes back to days of tc-4.x, but can't say when the issue began exactly.  It's just that it's been occurring much more frequently of late.
« Last Edit: October 11, 2013, 12:46:23 PM by coreplayer2 »

Offline roberts

  • Administrator
  • Hero Member
  • *****
  • Posts: 7361
  • Founder Emeritus
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #5 on: October 11, 2013, 01:52:44 PM »
Confirmed the issue is with a non-compliant lxterminal.

This issue goes back to the early 5.0 alpha when it was discussed that aterm had been factored out of Xprogs.tcz into a separate aterm.tcz.
Without aterm Apps cannot display the download progess box and immediately fails.

Apps requires an aterm(xterm) compliant terminal. Check with the maintainer of lxterminal if it can be made to be compliant. Otherwise stay with the supported aterm.
10+ Years Contributing to Linux Open Source Projects.

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7183
    • My Community Forum
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #6 on: October 12, 2013, 12:02:04 AM »

Apps requires an aterm(xterm) compliant terminal. Check with the maintainer of lxterminal if it can be made to be compliant. Otherwise stay with the supported aterm.

Will check
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7183
    • My Community Forum
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #7 on: October 14, 2013, 11:48:36 PM »
lxterminal updated in repo. Now apps works with lxterminal.
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: 5.0.1 Apps tool - "Failed" issue
« Reply #8 on: October 14, 2013, 11:55:19 PM »
cool thanks,  after removing LXTerminal I found that reinstalling aterm did in fact fix both the above issues with Apps.

Thanks again